org.wildfly.swarm.config.elytron

## Class SimpleRegexRealmMapper<T extends SimpleRegexRealmMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SimpleRegexRealmMapper<T>

-     public class SimpleRegexRealmMapper<T extends SimpleRegexRealmMapper<T>>
      extends Object

  Definition of a simple RealmMapper that attempts to extract the realm name using the capture group from the regular expression, if that does not provide a match then the delegate RealmMapper is used instead.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRegexRealmMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `delegateRealmMapper()` The RealmMapper to delegate to if there is no match using the pattern.
    `T` | `delegateRealmMapper(String value)` The RealmMapper to delegate to if there is no match using the pattern.
    `String` | `getKey()`
    `String` | `pattern()` The regular expression which must contain at least one capture group to extract the realm from the name.
    `T` | `pattern(String value)` The regular expression which must contain at least one capture group to extract the realm from the name.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRegexRealmMapper

          public SimpleRegexRealmMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### delegateRealmMapper

          public String delegateRealmMapper()

      The RealmMapper to delegate to if there is no match using the pattern.

    - #### delegateRealmMapper

          public T delegateRealmMapper(String value)

      The RealmMapper to delegate to if there is no match using the pattern.

    - #### pattern

          public String pattern()

      The regular expression which must contain at least one capture group to extract the realm from the name. If the regular expression matches more than one capture group, the first capture group is used.

    - #### pattern

          public T pattern(String value)

      The regular expression which must contain at least one capture group to extract the realm from the name. If the regular expression matches more than one capture group, the first capture group is used.

Copyright © 2018 JBoss by Red Hat. All rights reserved.